Subject: RE: Operating environments [RE: (ngtrans) Next steps]

From: "Liu, Changwen" <[email-masked]>
Date: Thu, 28 Mar 2002 11:40:09 -0800

> -----Original Message-----
> From: Shiao-Li Tsao (Charles) [mailto:[email-masked]]
> Sent: Wednesday, March 27, 2002 4:25 AM
> To: Liu, Changwen
> Cc: [email-masked]
> Subject: Re: Operating environments [RE: (ngtrans) Next steps]
> 
> 
> I am sorry for some misleadings.
> I would like to re-draw the scenario we discussed and 
> describe what we can
> do based on current ngtrans tools.
> 
> Assumption :
> 1. dual stack mobile with an IPv6 home address but without 
> IPv4 home address
> (have IPv4 temporary address)
> 2. move from dual stack network or IPv6-only network to 
> IPv4-only network,
> and still can be reached by its IPv6 home address.
> 
> Some possible apporaches we can do now is
> (1). if there is 6over4, using 6over4, perform MIPv6 BU to HA.

One cannot expect (legacy) IPv4 domain support 6over4.

> (2). if there is no (1), get an IPv4 temporary address as 
> CCoA (via DHCP,
> ...)

Again that goes back to the square one: MNv6 requires to get a co-located
IPv4 CoA. Otherwise, it won't work, e.g. even for the case that MNv6 can get
FA's CoA. This requirement certainly WORSENS the IPv4 address depletion
issue :-(. In other words, this requirement is significant. 

> (3). encapsulated MIPv6 BU in IPv4 packet and send it to HA 
> (here we assume
> MN knows any TEP v4 address or HA v4 address (via HA advert.) )

Isn't the TEP like MIPv4 HA minus MIPv4 registration procedure? In other
words, the third entity other than MNv6 and its MIPv6 HA has to be involved.

> (v4 source address : MN CCoAv4, v4 desination : TEPv4 (or 
> HAv4), (MIPv6
> BU)). At HA, MN CCoA v4-compatible v6 address is now IPv6 CoA.
> 
> 
> 
> Charles
> 

changwen

---deleted----

---

From: "Shiao-Li Tsao \(Charles\)" <[email-masked]>
Date: Fri, 29 Mar 2002 08:28:09 +0800

> issue :-(. In other words, this requirement is significant.

Yes. Based on current ngtrans tools, what we can do now is to get a global
v4 CCoA and tunnel to HA. If a global v4 CCoA is not available, then get a
private CCoA and uses it in combination with UDP tunneling and keep-alives
technique described in "Mobile IP NAT/NAPT Traversal using UDP
Tunnelling"<draft-ietf-mobileip-nat-traversal-01.txt> and back to HA. We are
going to describe this scenario in the next version of <MOVING>. By the way,
<draft-ietf-mobileip-nat-traversal-01.txt> is not yet a RFC, we would not
dig into detail at current stage.

> words, the third entity other than MNv6 and its MIPv6 HA has to be
involved.

That is two options. If you have IPv4 address of MIPv6 HA, tunnel the packet
to the MIPv6 HA directly. Or if MN knows any TEP v4 address, tunnel the
packet to the MIPv6 HA through TEP. If you don't have an IPv4 address of any
node which can decapsulate IPv6 in IPv4 packet, MNv4 can not send any IPv6
packet out in a IPv4-only network.

Charles

---

From: "Shiao-Li Tsao \(Charles\)" <[email-masked]>
Date: Fri, 29 Mar 2002 08:47:37 +0800

Oops ! Sorry to forget something ...

> dig into detail at current stage.

Teredo: Tunneling IPv6 over UDP through NATs
<draft-ietf-ngtrans-shipworm-05.txt> can be also used. Details to apply
shipworm on MN nodes moving to an IPv4-only network are under evaluation
too.

Charles